ReadlineConsole (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.util
Class ReadlineConsole

    java.lang.Object
      org.python.util.PythonInterpreter
          org.python.util.InteractiveInterpreter
              org.python.util.InteractiveConsole
                  org.python.util.ReadlineConsole

    public class ReadlineConsole

extends InteractiveConsole

Uses: Java Readline

Based on CPython-1.5.2's code module

Field Summary
`String` | `filename`

Fields inherited from class org.python.util.InteractiveConsole
`CONSOLE_FILENAME`

Fields inherited from class org.python.util.InteractiveInterpreter
`buffer`

Constructor Summary
`ReadlineConsole()`
`ReadlineConsole(PyObject locals)`
`ReadlineConsole(PyObject locals, String filename)`

Method Summary
`String` | `raw_input(PyObject prompt)` Write a prompt and read a line.

Methods inherited from class org.python.util.InteractiveConsole
`getDefaultBanner, interact, interact, push, raw_input`

Methods inherited from class org.python.util.InteractiveInterpreter
`interrupt, resetbuffer, runcode, runsource, runsource, runsource, showexception, write`

Methods inherited from class org.python.util.PythonInterpreter
`cleanup, compile, compile, compile, compile, eval, eval, exec, exec, execfile, execfile, execfile, get, get, getLocals, getSystemState, initialize, set, set, setErr, setErr, setErr, setIn, setIn, setIn, setLocals, setOut, setOut, setOut, threadLocalStateInterpreter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filename

    public String filename

Constructor Detail

### ReadlineConsole

    public ReadlineConsole()

### ReadlineConsole

    public ReadlineConsole(PyObject locals)

### ReadlineConsole

    public ReadlineConsole(PyObject locals,
                           String filename)

Method Detail

### raw_input

    public String raw_input(PyObject prompt)

  Write a prompt and read a line. The returned line does not include the trailing newline. When the user enters the EOF key sequence, EOFError is raised. This subclass implements the functionality using JavaReadline.

  Overrides:
    `raw_input` in class `InteractiveConsole`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage